import { useAccessStore } from "@/app/store";

import { getHeaders, UserApi } from "../api";
import { getFullApi } from "@/app/config/client";

export class OauthUserApi implements UserApi {
  async userinfo() {
    const accessStore = useAccessStore.getState();
    const controller = new AbortController();

    try {
      const url = getFullApi("/api/user");
      const payload = {
        method: "GET",
        signal: controller.signal,
        headers: getHeaders(),
      };
      const res = await fetch(url, payload);
      if (res.status == 401) {
        accessStore.clearToken();
      } else {
        console.log("res status", res.status, res.statusText, res.ok);
      }
      return res;
    } catch (e) {
      console.log("[Request] failed to make a chat request", e);
    }
  }
}
